OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ScopedWriteLock Class Reference

`#include <juce_ScopedWriteLock.h>`

## Public Member Functions
| ScopedWriteLock (const ReadWriteLock &lock) noexcept
| ~ScopedWriteLock () noexcept

## Detailed Description

Automatically locks and unlocks a ReadWriteLock object.

Use one of these as a local variable to control access to a ReadWriteLock.

e.g.

ReadWriteLock myLock;
for (;;)
{
const ScopedWriteLock myScopedLock (myLock);
// myLock is now locked
...do some stuff...
// myLock gets unlocked here.
}
juce::ReadWriteLock
Definition: juce_ReadWriteLock.h:48
juce::ScopedWriteLock
Definition: juce_ScopedWriteLock.h:52

See also
  ReadWriteLock, ScopedReadLock

Definition at line 51 of file juce_ScopedWriteLock.h.

## Constructor & Destructor Documentation

## ◆ ScopedWriteLock()

juce::ScopedWriteLock::ScopedWriteLock | ( | const ReadWriteLock & | lock | ) |
| inline explicit noexcept

Creates a ScopedWriteLock.

As soon as it is created, this will call ReadWriteLock::enterWrite(), and when the ScopedWriteLock object is deleted, the ReadWriteLock will be unlocked.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen! Best just to use it as a local stack object, rather than creating one with the new() operator.

Definition at line 65 of file juce_ScopedWriteLock.h.

## ◆ ~ScopedWriteLock()

juce::ScopedWriteLock::~ScopedWriteLock | ( |  | ) |
| inline noexcept

Destructor.

The ReadWriteLock's exitWrite() method will be called when the destructor is called.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen!

Definition at line 74 of file juce_ScopedWriteLock.h.

The documentation for this class was generated from the following file:

- juce_ScopedWriteLock.h